"""add DELETE workflows and update CREATE workflows.

Revision ID: 8329fa45157b
Revises: aa49bed10737
Create Date: 2023-03-13 12:12:20.553551

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '8329fa45157b'
down_revision = 'aa49bed10737'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_trunk",
        "target": "CREATE",
        "description": "Create trunk",
        "product_type": "Trunk"
    },
    {
        "name": "terminate_trunk",
        "target": "TERMINATE",
        "description": "Terminate trunk",
        "product_type": "Trunk"
    },
    {
        "name": "create_trunk_config",
        "target": "CREATE",
        "description": "Create trunk config",
        "product_type": "TrunkConfig"
    },
    {
        "name": "terminate_trunk_config",
        "target": "TERMINATE",
        "description": "Terminate trunk config",
        "product_type": "TrunkConfig"
    },
    {
        "name": "create_trunk_config_common",
        "target": "CREATE",
        "description": "Create trunk config common",
        "product_type": "TrunkConfigCommon"
    },
    {
        "name": "terminate_trunk_config_common",
        "target": "TERMINATE",
        "description": "Terminate trunk config common",
        "product_type": "TrunkConfigCommon"
    },
    {
        "name": "create_trunk_config_side",
        "target": "CREATE",
        "description": "Create trunk config side",
        "product_type": "TrunkConfigSide"
    },
    {
        "name": "terminate_trunk_config_side",
        "target": "TERMINATE",
        "description": "Terminate trunk config side",
        "product_type": "TrunkConfigSide"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
