"""add CREATE workflows.

Revision ID: aa49bed10737
Revises: 431ca061b2ad
Create Date: 2023-03-13 11:18:36.787981

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'aa49bed10737'
down_revision = '431ca061b2ad'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_trunk",
        "target": "CREATE",
        "description": "Create trunk",
        "product_type": "Trunk"
    },
    {
        "name": "create_trunk_config",
        "target": "CREATE",
        "description": "Create trunk config",
        "product_type": "TrunkConfig"
    },
    {
        "name": "create_trunk_config_common",
        "target": "CREATE",
        "description": "Create trunk config common",
        "product_type": "TrunkConfigCommon"
    },
    {
        "name": "create_trunk_config_side",
        "target": "CREATE",
        "description": "Create trunk config side",
        "product_type": "TrunkConfigSide"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
