from typing import Optional

from orchestrator.domain.base import ProductBlockModel
from orchestrator.types import SubscriptionLifecycle

from products.product_blocks.trunk_config import TrunkConfigBlock, TrunkConfigBlockInactive, TrunkConfigBlockProvisioning


class TrunkConfigCommonBlockInactive(ProductBlockModel, lifecycle=[SubscriptionLifecycle.INITIAL], product_block_name="TrunkConfigCommonBlock"):
    trunk_config: TrunkConfigBlockInactive
    trunk_config_common_id: Optional[int] = None
    speed: Optional[str] = None
    is_leased_line: Optional[bool] = None
    isis_metric: Optional[int] = None
    minimum_links: Optional[int] = None


class TrunkConfigCommonBlockProvisioning(TrunkConfigCommonBlockInactive, lifecycle=[SubscriptionLifecycle.PROVISIONING]):
    trunk_config: TrunkConfigBlockProvisioning
    trunk_config_common_id: Optional[int] = None
    speed: str
    is_leased_line: bool
    isis_metric: int
    minimum_links: int


class TrunkConfigCommonBlock(TrunkConfigCommonBlockProvisioning, lifecycle=[SubscriptionLifecycle.ACTIVE]):
    trunk_config: TrunkConfigBlock
    trunk_config_common_id: int
    speed: str
    is_leased_line: bool
    isis_metric: int
    minimum_links: int
