from orchestrator.domain.base import SubscriptionModel
from orchestrator.types import SubscriptionLifecycle

from products.product_blocks.trunk import TrunkBlock, TrunkBlockInactive, TrunkBlockProvisioning


class TrunkInactive(SubscriptionModel, is_base=True, lifecycle=[SubscriptionLifecycle.INITIAL]):
    trunk: TrunkBlockInactive


class TrunkProvisioning(TrunkInactive, lifecycle=[SubscriptionLifecycle.PROVISIONING]):
    trunk: TrunkBlockProvisioning


class Trunk(TrunkProvisioning, lifecycle=[SubscriptionLifecycle.ACTIVE]):
    trunk: TrunkBlock
